.. currentmodule:: sardana.macroserver.scan

:mod:`~sardana.macroserver.scan`
================================

.. automodule:: sardana.macroserver.scan

.. rubric:: Modules

.. toctree::
    :maxdepth: 1
    
    recorder <scan/recorder>

.. rubric:: Classes

.. hlist::
    :columns: 3

    * :class:`GScan`
    * :class:`SScan`
    * :class:`CScan`

GScan
-----

.. inheritance-diagram:: GScan
    :parts: 1

.. autoclass:: GScan
    :show-inheritance:
    :members:

Scan
----

.. inheritance-diagram:: SScan
    :parts: 1

.. autoclass:: SScan
    :show-inheritance:
    :members:

CScan
-----

.. inheritance-diagram:: CScan
    :parts: 1

.. autoclass:: CScan
    :show-inheritance:
    :members: